summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author fuzzix2013-02-18 07:43:01 +0100
committer Robby Workman2013-02-23 05:27:45 +0100
commitb674b2dc51b25bc3809f20806af75cb5ec9138f6 (patch)
tree39de15bf8d1c36453c95167730aab76c4d42f8d4 /audio
parentea6d780f59e9c947cfe6feffc121927b135ad933 (diff)
downloadslackbuilds-b674b2dc51b25bc3809f20806af75cb5ec9138f6.tar.gz
audio/alsamodularsynth: Added (realtime modular synthesizer)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/alsamodularsynth/README5
-rw-r--r--audio/alsamodularsynth/alsamodularsynth.SlackBuild104
-rw-r--r--audio/alsamodularsynth/alsamodularsynth.info10
-rw-r--r--audio/alsamodularsynth/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/audio/alsamodularsynth/README b/audio/alsamodularsynth/README
new file mode 100644
index 0000000000..074697ec01
--- /dev/null
+++ b/audio/alsamodularsynth/README
@@ -0,0 +1,5 @@
+AlsaModularSynth is a realtime modular synthesizer and effect processor. It
+features MIDI controlled modular software synthesis, Realtime effect processing
+with capture from e.g. "Line In" or "Mic In", Full control of all synthesis and
+effect parameters via MIDI, Integrated LADSPA Browser with search capability
+and JACK Support.
diff --git a/audio/alsamodularsynth/alsamodularsynth.SlackBuild b/audio/alsamodularsynth/alsamodularsynth.SlackBuild
new file mode 100644
index 0000000000..9903a3f206
--- /dev/null
+++ b/audio/alsamodularsynth/alsamodularsynth.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for ALSA Modular Synth
+
+# Copyright 2013 fuzzix <fuzzix@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=alsamodularsynth
+VERSION=${VERSION:-2.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAM=ams
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$VERSION
+tar xvf $CWD/$TARNAM-$VERSION.tar.bz2
+cd $TARNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LIBS="-ldl" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mv $PKG/usr/share/$TARNAM $PKG/usr/share/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/alsamodularsynth/alsamodularsynth.info b/audio/alsamodularsynth/alsamodularsynth.info
new file mode 100644
index 0000000000..80d5cbc530
--- /dev/null
+++ b/audio/alsamodularsynth/alsamodularsynth.info
@@ -0,0 +1,10 @@
+PRGNAM="alsamodularsynth"
+VERSION="2.0.1"
+HOMEPAGE="http://alsamodular.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/alsamodular/files/alsamodular/2.0.1/ams-2.0.1.tar.bz2"
+MD5SUM="0d41bd5aac066aa98be45fd7ab12d35f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack-audio-connection-kit clalsadrv ladspa_sdk"
+MAINTAINER="fuzzix"
+EMAIL="fuzzix@gmail.com"
diff --git a/audio/alsamodularsynth/slack-desc b/audio/alsamodularsynth/slack-desc
new file mode 100644
index 0000000000..64260af891
--- /dev/null
+++ b/audio/alsamodularsynth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+alsamodularsynth: Alsa Modular Synth (realtime modular synthesizer and effect processor)
+alsamodularsynth:
+alsamodularsynth: Alsa Modular Synth is a realtime modular synthesizer and effect
+alsamodularsynth: processor. It features MIDI controlled modular software synthesis,
+alsamodularsynth: Realtime effect processing with capture from e.g. "Line In" or "Mic
+alsamodularsynth: In", Full control of all synthesis and effect parameters via MIDI,
+alsamodularsynth: Integrated LADSPA Browser with search capability and JACK Support.
+alsamodularsynth:
+alsamodularsynth: Homepage: http://alsamodular.sourceforge.net/
+alsamodularsynth:
+alsamodularsynth: